import{s as Kt,n as Xt,o as Zt}from"../chunks/scheduler.7b8d42e8.js";import{S as te,i as ee,g as s,s as a,r as Tt,A as ne,h as o,f as n,c as l,j as Jt,u as xt,x as r,k as j,y as ie,a as i,v as Lt,d as yt,t as _t,w as wt}from"../chunks/index.0671836c.js";import{H as Ht,E as ae}from"../chunks/EditOnGithub.15b2d305.js";function le(Ct){let u,q,N,z,g,R,h,bt=`AutoTrain on Hugging Face Spaces is the preferred choice for a streamlined experience in
model training. This platform is optimized for ease of use, with pre-installed dependencies
and managed hardware resources. AutoTrain on Hugging Face Spaces can be used both by
no-code users and developers, making it versatile for various levels of expertise.`,G,v,Y,T,Mt="Getting started with AutoTrain is straightforward. Here’s how you can create your new space:",Q,x,$t=`<li><p><strong>Visit the AutoTrain Page</strong>: To create a new space with AutoTrain Docker image, all you need to do is go
to <a href="https://hf.co/autotrain" rel="nofollow">AutoTrain Homepage</a> and click on “Create new project”.</p></li> <li><p><strong>Log In or View the Setup Screen</strong>: If not logged in, you’ll be prompted to do so. Then, you’ll see a screen similar to this:</p></li>`,V,L,At='<img src="https://raw.githubusercontent.com/huggingface/autotrain-advanced/main/static/duplicate_space.png" alt="autotrain-duplicate-space"/>',W,p,kt="<li><strong>Set Up Your Space</strong>:</li>",B,y,St="<li><p><strong>Choose a Space Name</strong>: Name your space something relevant to your project.</p></li> <li><p><strong>Allocate Hardware Resources</strong>: Select the necessary computational resources based on your project needs.</p></li> <li><p><strong>Duplicate Space</strong>: Click on “Duplicate Space” to initiate your AutoTrain space with the Docker image.</p></li>",J,c,Pt="<li><strong>Configuration Options</strong>:</li>",K,_,Ut="<li>PAUSE_ON_FAILURE: Set this to 0 if you prefer the space not to pause on training failures, useful for running continuous experiments. This option can also be used if you continuously want to perfom many experiments in the same space.</li>",X,m,Ft="<li><strong>Launch and Train</strong>:</li>",Z,w,Et="<li>Once done, in a few seconds, the AutoTrain Space will be up and running and you will be presented with the following screen:</li>",tt,H,Ot='<img src="https://raw.githubusercontent.com/huggingface/autotrain-advanced/main/static/autotrain_space.png" alt="autotrain-space"/>',et,C,It=`<li><p>From here, you can select tasks, upload datasets, choose models, adjust hyperparameters (if needed),
and start the training process directly within the space.</p></li> <li><p>The space will manage its own activity, shutting down post-training unless configured
otherwise based on the <code>PAUSE_ON_FAILURE</code> setting.</p></li>`,nt,f,jt="<li><strong>Monitoring Progress</strong>:</li>",it,b,Nt=`<li><p>All training logs and progress can be monitored via TensorBoard, accessible under
<code>username/project_name</code> on the Hugging Face Hub.</p></li> <li><p>Once training concludes successfully, you’ll find the model files in the same repository.</p></li>`,at,d,Dt="<li><strong>Navigating the UI</strong>:</li>",lt,M,qt="<li>If you need help understanding any UI elements, click on the small (i) information icons for detailed descriptions.</li>",st,$,zt="If you are confused about the UI elements, click on the small (i) information icon to get more information about the UI element.",ot,A,Rt=`For data formats and detailed parameter information, please see the Data Formats and Parameters section where we provide
example datasets and detailed information about the parameters for each task supported by AutoTrain.`,rt,k,ut,S,Gt="We are constantly adding new features and tasks to AutoTrain Advanced. To benefit from the latest features, tasks, and bug fixes, update your AutoTrain space regularly:",pt,P,Yt="<li><em>Factory Reboot</em>: Navigate to the settings page of your space and click on “Factory reboot” to upgrade to the latest version of AutoTrain Advanced.</li>",ct,U,Qt='<img src="https://raw.githubusercontent.com/huggingface/autotrain-advanced/main/static/space_template_5.png" alt="autotrain-space-template"/>',mt,F,Vt="<li><em>Note</em>: Simply “restarting” the space does not update it; a factory reboot is necessary for a complete update.</li>",ft,E,Wt=`For additional details on data formats and specific parameters, refer to the
‘Data Formats and Parameters’ section where we provide example datasets and extensive
parameter information for each supported task by AutoTrain.`,dt,O,Bt=`With these steps, you can effortlessly initiate and manage your AutoTrain projects on
Hugging Face Spaces, leveraging the platform’s robust capabilities for your machine learning and AI
needs.`,gt,I,ht,D,vt;return g=new Ht({props:{title:"Quickstart Guide to AutoTrain on Hugging Face Spaces",local:"quickstart-guide-to-autotrain-on-hugging-face-spaces",headingTag:"h1"}}),v=new Ht({props:{title:"Creating a New AutoTrain Space",local:"creating-a-new-autotrain-space",headingTag:"h2"}}),k=new Ht({props:{title:"Ensuring Your AutoTrain is Up-to-Date",local:"ensuring-your-autotrain-is-up-to-date",headingTag:"h2"}}),I=new ae({props:{source:"https://github.com/huggingface/autotrain-advanced/blob/main/docs/source/quickstart_spaces.mdx"}}),{c(){u=s("meta"),q=a(),N=s("p"),z=a(),Tt(g.$$.fragment),R=a(),h=s("p"),h.textContent=bt,G=a(),Tt(v.$$.fragment),Y=a(),T=s("p"),T.textContent=Mt,Q=a(),x=s("ol"),x.innerHTML=$t,V=a(),L=s("p"),L.innerHTML=At,W=a(),p=s("ol"),p.innerHTML=kt,B=a(),y=s("ul"),y.innerHTML=St,J=a(),c=s("ol"),c.innerHTML=Pt,K=a(),_=s("ul"),_.innerHTML=Ut,X=a(),m=s("ol"),m.innerHTML=Ft,Z=a(),w=s("ul"),w.innerHTML=Et,tt=a(),H=s("p"),H.innerHTML=Ot,et=a(),C=s("ul"),C.innerHTML=It,nt=a(),f=s("ol"),f.innerHTML=jt,it=a(),b=s("ul"),b.innerHTML=Nt,at=a(),d=s("ol"),d.innerHTML=Dt,lt=a(),M=s("ul"),M.innerHTML=qt,st=a(),$=s("p"),$.textContent=zt,ot=a(),A=s("p"),A.textContent=Rt,rt=a(),Tt(k.$$.fragment),ut=a(),S=s("p"),S.textContent=Gt,pt=a(),P=s("ul"),P.innerHTML=Yt,ct=a(),U=s("p"),U.innerHTML=Qt,mt=a(),F=s("ul"),F.innerHTML=Vt,ft=a(),E=s("p"),E.textContent=Wt,dt=a(),O=s("p"),O.textContent=Bt,gt=a(),Tt(I.$$.fragment),ht=a(),D=s("p"),this.h()},l(t){const e=ne("svelte-u9bgzb",document.head);u=o(e,"META",{name:!0,content:!0}),e.forEach(n),q=l(t),N=o(t,"P",{}),Jt(N).forEach(n),z=l(t),xt(g.$$.fragment,t),R=l(t),h=o(t,"P",{"data-svelte-h":!0}),r(h)!=="svelte-yoa7jd"&&(h.textContent=bt),G=l(t),xt(v.$$.fragment,t),Y=l(t),T=o(t,"P",{"data-svelte-h":!0}),r(T)!=="svelte-6mu5px"&&(T.textContent=Mt),Q=l(t),x=o(t,"OL",{"data-svelte-h":!0}),r(x)!=="svelte-tbklvx"&&(x.innerHTML=$t),V=l(t),L=o(t,"P",{"data-svelte-h":!0}),r(L)!=="svelte-170r39o"&&(L.innerHTML=At),W=l(t),p=o(t,"OL",{start:!0,"data-svelte-h":!0}),r(p)!=="svelte-1kzvq72"&&(p.innerHTML=kt),B=l(t),y=o(t,"UL",{"data-svelte-h":!0}),r(y)!=="svelte-me8mn0"&&(y.innerHTML=St),J=l(t),c=o(t,"OL",{start:!0,"data-svelte-h":!0}),r(c)!=="svelte-pyqbsl"&&(c.innerHTML=Pt),K=l(t),_=o(t,"UL",{"data-svelte-h":!0}),r(_)!=="svelte-rqvo"&&(_.innerHTML=Ut),X=l(t),m=o(t,"OL",{start:!0,"data-svelte-h":!0}),r(m)!=="svelte-162o80o"&&(m.innerHTML=Ft),Z=l(t),w=o(t,"UL",{"data-svelte-h":!0}),r(w)!=="svelte-1n9nw3m"&&(w.innerHTML=Et),tt=l(t),H=o(t,"P",{"data-svelte-h":!0}),r(H)!=="svelte-ex5u22"&&(H.innerHTML=Ot),et=l(t),C=o(t,"UL",{"data-svelte-h":!0}),r(C)!=="svelte-1ras086"&&(C.innerHTML=It),nt=l(t),f=o(t,"OL",{start:!0,"data-svelte-h":!0}),r(f)!=="svelte-7g1eo2"&&(f.innerHTML=jt),it=l(t),b=o(t,"UL",{"data-svelte-h":!0}),r(b)!=="svelte-1lhdc0b"&&(b.innerHTML=Nt),at=l(t),d=o(t,"OL",{start:!0,"data-svelte-h":!0}),r(d)!=="svelte-vkd4ir"&&(d.innerHTML=Dt),lt=l(t),M=o(t,"UL",{"data-svelte-h":!0}),r(M)!=="svelte-1c1z6b6"&&(M.innerHTML=qt),st=l(t),$=o(t,"P",{"data-svelte-h":!0}),r($)!=="svelte-khj2is"&&($.textContent=zt),ot=l(t),A=o(t,"P",{"data-svelte-h":!0}),r(A)!=="svelte-1xlcyug"&&(A.textContent=Rt),rt=l(t),xt(k.$$.fragment,t),ut=l(t),S=o(t,"P",{"data-svelte-h":!0}),r(S)!=="svelte-8tht4d"&&(S.textContent=Gt),pt=l(t),P=o(t,"UL",{"data-svelte-h":!0}),r(P)!=="svelte-1miam7u"&&(P.innerHTML=Yt),ct=l(t),U=o(t,"P",{"data-svelte-h":!0}),r(U)!=="svelte-117xos0"&&(U.innerHTML=Qt),mt=l(t),F=o(t,"UL",{"data-svelte-h":!0}),r(F)!=="svelte-17czs0t"&&(F.innerHTML=Vt),ft=l(t),E=o(t,"P",{"data-svelte-h":!0}),r(E)!=="svelte-1k0e6jk"&&(E.textContent=Wt),dt=l(t),O=o(t,"P",{"data-svelte-h":!0}),r(O)!=="svelte-1cwuhdo"&&(O.textContent=Bt),gt=l(t),xt(I.$$.fragment,t),ht=l(t),D=o(t,"P",{}),Jt(D).forEach(n),this.h()},h(){j(u,"name","hf:doc:metadata"),j(u,"content",se),j(p,"start","3"),j(c,"start","4"),j(m,"start","5"),j(f,"start","6"),j(d,"start","7")},m(t,e){ie(document.head,u),i(t,q,e),i(t,N,e),i(t,z,e),Lt(g,t,e),i(t,R,e),i(t,h,e),i(t,G,e),Lt(v,t,e),i(t,Y,e),i(t,T,e),i(t,Q,e),i(t,x,e),i(t,V,e),i(t,L,e),i(t,W,e),i(t,p,e),i(t,B,e),i(t,y,e),i(t,J,e),i(t,c,e),i(t,K,e),i(t,_,e),i(t,X,e),i(t,m,e),i(t,Z,e),i(t,w,e),i(t,tt,e),i(t,H,e),i(t,et,e),i(t,C,e),i(t,nt,e),i(t,f,e),i(t,it,e),i(t,b,e),i(t,at,e),i(t,d,e),i(t,lt,e),i(t,M,e),i(t,st,e),i(t,$,e),i(t,ot,e),i(t,A,e),i(t,rt,e),Lt(k,t,e),i(t,ut,e),i(t,S,e),i(t,pt,e),i(t,P,e),i(t,ct,e),i(t,U,e),i(t,mt,e),i(t,F,e),i(t,ft,e),i(t,E,e),i(t,dt,e),i(t,O,e),i(t,gt,e),Lt(I,t,e),i(t,ht,e),i(t,D,e),vt=!0},p:Xt,i(t){vt||(yt(g.$$.fragment,t),yt(v.$$.fragment,t),yt(k.$$.fragment,t),yt(I.$$.fragment,t),vt=!0)},o(t){_t(g.$$.fragment,t),_t(v.$$.fragment,t),_t(k.$$.fragment,t),_t(I.$$.fragment,t),vt=!1},d(t){t&&(n(q),n(N),n(z),n(R),n(h),n(G),n(Y),n(T),n(Q),n(x),n(V),n(L),n(W),n(p),n(B),n(y),n(J),n(c),n(K),n(_),n(X),n(m),n(Z),n(w),n(tt),n(H),n(et),n(C),n(nt),n(f),n(it),n(b),n(at),n(d),n(lt),n(M),n(st),n($),n(ot),n(A),n(rt),n(ut),n(S),n(pt),n(P),n(ct),n(U),n(mt),n(F),n(ft),n(E),n(dt),n(O),n(gt),n(ht),n(D)),n(u),wt(g,t),wt(v,t),wt(k,t),wt(I,t)}}}const se='{"title":"Quickstart Guide to AutoTrain on Hugging Face Spaces","local":"quickstart-guide-to-autotrain-on-hugging-face-spaces","sections":[{"title":"Creating a New AutoTrain Space","local":"creating-a-new-autotrain-space","sections":[],"depth":2},{"title":"Ensuring Your AutoTrain is Up-to-Date","local":"ensuring-your-autotrain-is-up-to-date","sections":[],"depth":2}],"depth":1}';function oe(Ct){return Zt(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class ce extends te{constructor(u){super(),ee(this,u,oe,le,Kt,{})}}export{ce as component};
